# Run tests in check section
# Now needs access to network
%bcond_with check

# https://github.com/linode/linodego
%global goipath github.com/linode/linodego
Version:        0.7.1

%gometa

Name:           %{goname}
Release:        1%{?dist}
Summary:        Go client for Linode REST v4 API
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(gopkg.in/resty.v1)
%if %{with check}
BuildRequires:  golang(github.com/dnaeon/go-vcr/recorder)
BuildRequires:  golang(golang.org/x/oauth2)
%endif


%description
%{summary}.


%package devel
Summary:        %{summary}
BuildArch:      noarch


%description devel
%{summary}.

This package contains the source code needed for building packages that import
the %{goipath} Go namespace.


%prep
%forgeautosetup


%install
%goinstall


%if %{with check}
%check
# environment variables to use the API response fixtures
export LINODE_FIXTURE_MODE=play
export LINODE_TOKEN=awesometokenawesometokenawesometoken
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE
%doc README.md


%changelog
* Fri Mar 15 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.7.1-1
- Release 0.7.1

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Dec 04 2018 Carl George <carl@george.computer> - 0.7.0-1
- Latest upstream
- Skip tests on 32bit architectures

* Tue Nov 27 2018 Carl George <carl@george.computer> - 0.6.2-1
- Initial package
